{***********************************************************}
{    HotPDF PDF Component                                   }
{    Copyright(c)2007-2018, https://www.loslab.com          }
{***********************************************************}

program TiffToPDF;
{$APPTYPE CONSOLE}
{$I ..\HotPDF.inc}

uses
{$IFDEF XE2+} System.SysUtils, System.Classes, Vcl.Graphics,
{$ELSE} SysUtils, Classes, Graphics, {$ENDIF} HPDFDoc;

var
   HotPDF: THotPDF;

begin
  HotPDF:= THotPDF.Create(nil);
  try
    HotPDF.AutoLaunch := true;                // PDF file will be shown automatically
    HotPDF.FileName := 'Output.pdf';
    HotPDF.BeginDoc;                          // Create PDF file
    HotPDF.AddTiffFromFile( '..\..\Demo.tif', icCCITT42, tptResizePage ); //Add multipage tiff file
    HotPDF.EndDoc;                            // Close PDF file
  finally
    HotPDF.Free;
  end;
end.
