{***********************************************************}
{    HotPDF PDF Component                                   }
{    Copyright(c)2007-2018, https://www.loslab.com          }
{***********************************************************}

program Encryption;
{$I ..\HotPDF.inc}
{$APPTYPE CONSOLE}

uses
{$IFDEF XE2+} System.SysUtils, System.Classes, Vcl.Graphics,
{$ELSE} SysUtils, Classes, Graphics, {$ENDIF} HPDFDoc;

var
   HPDF: THotPDF;

begin
  HPDF:= THotPDF.Create(nil);
  try
    HPDF.FileName := 'Encryption.pdf';                              
    HPDF.ActivateProtection := true;                               // Enable encryption
    HPDF.CryptKeyLength := k128;                                   // Set encryption type to 128 bit
    HPDF.UserPassword := 'user';                                   // Set user password
    HPDF.OwnerPassword := 'owner';                                 // Set owner password
    HPDF.ProtectOptions := [prPrint, prExtractContent];            // Allow user to extract PDF content
    HPDF.BeginDoc;                                                 // Create PDF file
    HPDF.CurrentPage.TextOut(10, 10, 0, 'This is an encrypted document!'); 	 // Print text
    HPDF.EndDoc;                                                   // Close PDF file
  finally
    HPDF.Free;
  end;
end.
