program ShowImage;
{$I ..\HotPDF.inc}
{$APPTYPE CONSOLE}

uses
{$IFDEF XE2+} System.SysUtils, System.Classes, Vcl.Graphics,
{$ELSE} SysUtils, Classes, Graphics, {$ENDIF} HPDFDoc;

var
  Index: Integer;
  HotPDF: THotPDF;
begin
  HotPDF:= THotPDF.Create( nil );
  try  
    HotPDF.AutoLaunch := true;
    HotPDF.FileName := 'ImageDemo.pdf';
    HotPDF.BeginDoc;
    Index := HotPDF.AddImage( 'ShowImage.jpg', icJpeg );
	  HotPDF.CurrentPage.ShowImage( Index, 50, 50, 300, 200, 0 );  // Show image with sizes 300 x 200
	  HotPDF.EndDoc;
  finally
    HotPDF.Free;
  end;
end.
